package cn.com.taiji.video.utils;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description
 * @Author yangyue
 * @Date 2023/7/28
 */
public class DataUtils {

    /**
     * 根据传入的日期,获取时间区间中所有的日期
     *
     * @param startDate 开始日期
     * @param endDate 结束日期
     * @return java.util.List<java.time.LocalDate>
     */
    public static List<LocalDate> getAllDatesInTheDateRange(LocalDate startDate, LocalDate endDate) {
        List<LocalDate> localDateList = new ArrayList<>();
        // 开始时间必须小于结束时间
        if (startDate.isAfter(endDate)) {
            return null;
        }
        while (startDate.isBefore(endDate)) {
            localDateList.add(startDate);
            startDate = startDate.plusDays(1);
        }
        localDateList.add(endDate);
        return localDateList;
    }
}
